> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search patients

> This endpoint retrieves the patient who is calling Practice if already existing in TC database. This will be necessary for avoiding duplication of patients while scheduling an appointment.
We can search the patient with fewer attributes also but data or birth and phone_number will be mandatory. The id returned will be sent in finding appointments.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-ai-voice.json get /organizations/{organization_id}/patients/search
openapi: 3.1.0
info:
  title: TeamCare AI Voice API
  version: 1.0.0
  description: AI Agent APIs for appointment scheduling, patient lookup and availability.
servers:
  - url: https://app.teamcaredental.com/api/v1/ai_voice
security:
  - bearerAuth: []
paths:
  /organizations/{organization_id}/patients/search:
    get:
      tags:
        - Patient
      summary: Search patients
      description: >-
        This endpoint retrieves the patient who is calling Practice if already
        existing in TC database. This will be necessary for avoiding duplication
        of patients while scheduling an appointment.

        We can search the patient with fewer attributes also but data or birth
        and phone_number will be mandatory. The id returned will be sent in
        finding appointments.
      operationId: organization_patient_search
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
        - name: patient
          in: query
          required: false
          style: deepObject
          explode: true
          schema:
            type: object
            properties:
              first_name:
                type: string
                example: test
              last_name:
                type: string
                example: patient
              birth_date:
                type: string
                format: date
                example: '1977-02-25'
              phone_number:
                type: string
                example: '1122334455'
          example:
            first_name: test
            last_name: patient
            birth_date: '1977-02-25'
            phone_number: '1122334455'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 2os6GZzZ
                      type:
                        type: string
                        example: patient
                      attributes:
                        type: object
                        properties:
                          first_name:
                            type: string
                            example: test
                          last_name:
                            type: string
                            example: '01'
                          birth_date:
                            type: string
                            format: date
                            example: '0001-01-01'
                          email:
                            type: string
                            example: test@gmail.com
                          phone_number:
                            type: string
                            example: '7262275678'
              example:
                data:
                  id: 2os6GZzZ
                  type: patient
                  attributes:
                    first_name: test
                    last_name: '01'
                    birth_date: '0001-01-01'
                    email: test@gmail.com
                    phone_number: '7262275678'
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Appointment not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````